Subject: Re: Cygwin with Gcc-3.2?
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sun, 24 Apr 2005 15:19:37 -0700

Mikael wrote:

> Hmm, sorry for hi-jacking the thread, but that means if I use GCC 4.0.0 that
> I have compiled myself and I use the Win32 API I should have configured gcc
> with --enable-sjlj-exceptions in order to avoid problems, right? I didn't so
> I guess I have to re-compile.
> To the OP: Building your own version of GCC under Cygwin is easy (I've done
> so since the GCC 3.3.* days, can't speak for the earlier versions), you just
> have to be more careful about the configure options than I have been!

Read the archives.  It's only a problem if you try to throw an exception
inside a callback that is called from a foreign library AND that library
has not been compiled with -fexceptions.  General win32 API calls work
fine, callback functions that don't throw exceptions work fine.  If you
never compile code that involves those circumstances, then you can use
DW2.  For the Cygwin gcc packages though I think such an assumption
cannot be made, so the slower but safe sjlj is used.  You would have to
ask Gerrit and/or cgf for the reasoning.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/